import { i as isObject_1 } from "./isObject.mjs";
import { _ as _isPrototype } from "./_isPrototype.mjs";
import { _ as _nativeKeysIn } from "./_nativeKeysIn.mjs";
var isObject = isObject_1, isPrototype = _isPrototype, nativeKeysIn = _nativeKeysIn;
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function baseKeysIn(object) {
  if (!isObject(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype(object), result = [];
  for (var key in object) {
    if (!(key == "constructor" && (isProto || !hasOwnProperty.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}
var _baseKeysIn = baseKeysIn;
export {
  _baseKeysIn as _
};
